Retrieve a lookup Run in API Explorer
Ask AI
Try to find a Lookup value for a specific type.
GET
/api/v1/lookups/{type}/{lookup}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/lookups/provider_statement_mapping/architecto' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"data": [
{
"uuid": "c993816b-d6cc-4e89-abe9-7329e0418d5e",
"created_at": "2026-10-30T16:30:05+00:00",
"updated_at": "2026-10-30T16:30:05+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "46d1a4f5-f272-44ed-9f52-77fc9f473deb",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "6d9c0cb0-a0ac-4237-b57a-b675a3a3bfd2",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
]
}